package com.sf._05_接口练习.demo3;

public class Warrior extends Role implements Phyiscalable{
    public Warrior(String name) {
        super(name);
    }

    @Override
    public void strongAttack() {
        System.out.println(getName() +"战士发动旋风斩 ,造成200点伤害");
    }

    @Override
    public void attack() {
        System.out.println(getName() + "战士用剑劈砍");
    }
}
